Subject: Re: [PATCH and RFC] Remove request_8xxirq

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 20 Jun 2002 18:58:49 +0200

>The other problem is the "namespace" of request_irq() usually assumes
>numbers 0 to 15 are an 8259, and many legacy devices are hardcoded to
>use these numbers.

Not that much actually. Look at pmac, I have nothing even close to
the 0..15 ISA namespace. Of course, a few crappy legacy ISA drivers
are broken, but we don't use them on PMAC, and you can eventually
hack them if you need them on embedded until a proper fix gets done.

BTW. At least serial.c is beeing redesigned by Russel King (ARM) ;)

Ben.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/